Bug 6414 - actual price not recorded when ordering
Summary: actual price not recorded when ordering
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Maxime Pelletier
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-26 20:22 UTC by Nicole C. Engard
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch to fix the problem (2.35 KB, patch)
2011-10-12 14:16 UTC, Maxime Pelletier
Details | Diff | Splinter Review
Use unitprice in neworder so that the value is saved in the database and so it will be the same field used as to receive shipments (2.39 KB, patch)
2011-10-14 09:38 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-05-26 20:22:56 UTC
When you enter an actual price at the time of placing an order (adding to a basket) it gets ignored by the db (http://screencast.com/t/7Py5tFyjl6c4).  It's not until you receive that that field is populated in the database (http://screencast.com/t/XEtPeYIq).

Given that one of two things needs to happen.  

1. Remove actual price from the order form and only have it on receive
2. Leave actual price on the order form and populate the database with the values entered in the form.
Comment 1 Maxime Pelletier 2011-10-12 14:16:26 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2011-10-14 09:38:25 UTC
Created attachment 5884 [details] [review]
Use unitprice in neworder so that the value is saved in the database and so it will be the same field used as to receive shipments

http://bugs.koha-community.org/show_bug.cgi?id=6414
Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Signed off with a note: this doesn't fix everything mentioned in the bug.
It also might clash with bug 4831 and should be tested with that patch.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 3 Paul Poulain 2011-10-14 09:40:31 UTC
QA comment :
  * very explanatory screencast from Nicole
  * small & clean code

passed QA

Side comment : the actual price is not set by the javascript like other prices are calculated when you fill the vendor price. Couldn't this field be set also ? (that would be another bug/patch, just wondering here while testing)
Comment 4 Katrin Fischer 2011-10-14 09:44:04 UTC
I don't think it should be filled.
Actual price should only be filled in after the item was received and has an actual price. The valuse should always come from the database. So no calculation done there.
Comment 5 Paul Poulain 2011-11-04 07:08:04 UTC
Patch pushed, please test (my 1st push!!!)
Comment 6 Katrin Fischer 2011-11-29 07:19:24 UTC
Checked that actual price shows up when modifying and receiving an order line.